Why Gemfury? Push, build, and install  RubyGems npm packages Python packages Maven artifacts PHP packages Go Modules Debian packages RPM packages NuGet packages

Repository URL to install this package:

Details    
@doodle/lib-paywall / src / components / WarningModal / WarningModal.styles.css
Size: Mime:
.warning-root-modal {
  display: flex;
  max-width: 440px;
  width: 100%;
}

.Card.warning-modal {
  padding: var(--space-2x) var(--space-4x) var(--space-4x);
  font-size: var(--font-size);
  border-radius: 4px;
  max-width: 440px;
  @media (max-width: 528px) {
    max-width: 375px;
    margin: 0 auto;
  }

  & .Card-content {
    padding: 0;
  }

  & .warning-modal-title {
    font-weight: var(--font-weight-bold);
    font-size: var(--font-size-m-2);
    margin-bottom: var(--space);
    margin-top: 0;
    padding: 0;
    text-align: center;
  }

  & .warning-modal-description {
    width: 100%;
  }

  & .warning-modal-content {
    padding: 0;
  }

  & .warning-modal-header {
    display: flex;
    flex-direction: column;
  }

  & .warning-modal-close-btn {
    padding: 0;
    align-self: flex-end;
    background-color: transparent;
    min-width: auto;
    box-shadow: none;
    color: var(--color-neutral-800);
    @media (max-width: 768px) {
      margin: 0 var(--space);
    }
  }

  & .warning-modal-close-btn:hover {
    background-color: unset;
  }
  & .warning-modal-close-btn:focus {
    box-shadow: unset;
  }

  & .warning-modal-close-icon {
    margin: 0;
  }

  & .warning-modal-button-panel {
    text-align: center;
  }
}